Skip to main content
GET
/
apps
/
installed-apps
Get installed apps by organization
curl --request GET \
  --url https://apps-studio.thena.ai/apps/installed-apps \
  --header 'x-api-key: <api-key>'
import requests

url = "https://apps-studio.thena.ai/apps/installed-apps"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://apps-studio.thena.ai/apps/installed-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "organizationId": "ESS2VQQKUZ",
  "totalCount": 5,
  "currentPage": 1,
  "totalPages": 5,
  "apps": [
    {
      "installationId": "app_123xyz",
      "appId": "app_123xyz",
      "name": "Thena Hub",
      "teamId": "TGGA0557MV",
      "description": "Integration with Thena Hub for ticket management",
      "appManifest": "{}",
      "appConfiguration": "{}",
      "installedBySub": "2024-03-15T10:00:00Z",
      "installedByEmail": "2024-03-15T10:00:00Z",
      "updatedAt": "2024-03-15T10:00:00Z",
      "botUserId": "B1234567890"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
number
default:1

Page number (starts from 1)

Example:

1

limit
number
default:10

Number of items per page

Example:

10

includePrivileged
boolean

Include privileged apps

Example:

false

Response

200 - application/json

Installed apps by organization

organizationId
string
required

Organization ID

Example:

"ESS2VQQKUZ"

totalCount
number
required

Total number of installed apps

Example:

5

currentPage
number
required

Current page number

Example:

1

totalPages
number
required

Total number of installed apps

Example:

5

apps
object[]
required

List of installed apps